Skip to content
Ona Docs

Errors

ErrorsService provides endpoints for clients to report errors that will be sent to error reporting systems.

ReportErrors
client.Errors.ReportErrors(ctx, body) (*ErrorReportErrorsResponse, error)
POST/gitpod.v1.ErrorsService/ReportErrors
ModelsExpand Collapse
One of the following:
type ErrorEvent struct{…}

ErrorEvent contains comprehensive error information (Sentry-compatible)

One of the following:
Environment stringOptional

Environment (e.g., “production”, “staging”, “development”)

maxLength100
EventID stringOptional

Unique event identifier (required by Sentry)

maxLength32
minLength32
Exceptions []ExceptionInfoOptional

Exception information (primary error data)

Mechanism ExceptionMechanismOptional

Exception mechanism

Data map[string, string]Optional

Additional mechanism-specific data

Description stringOptional

Human-readable description of the mechanism

maxLength1000
Handled boolOptional

Whether the exception was handled by user code

Synthetic boolOptional

Whether this is a synthetic exception (created by SDK)

Type stringOptional

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
Module stringOptional

Module or package where the exception type is defined

maxLength200
Stacktrace []StackFrameOptional

Stack trace frames

Colno int64Optional

Column number in the line

formatint32
ContextLine stringOptional
maxLength1000
Filename stringOptional

File name or path

maxLength1000
Function stringOptional

Function name

maxLength1000
InApp boolOptional

Whether this frame is in application code (vs library/framework code)

Lineno int64Optional

Line number in the file

formatint32
Module stringOptional

Module or package name

maxLength1000
PostContext []stringOptional
PreContext []stringOptional

Source code context around the error line

Vars map[string, string]Optional

Additional frame-specific variables/locals

ThreadID stringOptional

Thread ID if applicable

maxLength100
Type stringOptional

Exception type/class name

maxLength200
minLength1
Value stringOptional

Exception message/value

maxLength10000
Extra map[string, string]Optional

Additional arbitrary metadata

Fingerprint []stringOptional

Custom fingerprint for grouping

IdentityID stringOptional

Identity ID of the user (UUID)

Level ErrorLevelOptional

Error severity level

One of the following:
const ErrorLevelUnspecified ErrorLevel = "ERROR_LEVEL_UNSPECIFIED"
const ErrorLevelDebug ErrorLevel = "ERROR_LEVEL_DEBUG"
const ErrorLevelInfo ErrorLevel = "ERROR_LEVEL_INFO"
const ErrorLevelWarning ErrorLevel = "ERROR_LEVEL_WARNING"
const ErrorLevelError ErrorLevel = "ERROR_LEVEL_ERROR"
const ErrorLevelFatal ErrorLevel = "ERROR_LEVEL_FATAL"
Logger stringOptional

Logger name

maxLength200
Modules map[string, string]Optional

Modules/dependencies information

Platform stringOptional

Platform identifier (required by Sentry)

maxLength100
minLength1
Release stringOptional

Release version

maxLength200
Request RequestInfoOptional

Request information

Data stringOptional

Request body (truncated if large)

maxLength10000
Headers map[string, string]Optional

Request headers

Method stringOptional

HTTP method

maxLength10
QueryString map[string, string]Optional

Query parameters

URL stringOptional

Request URL

maxLength2000
SDK map[string, string]Optional

SDK information

ServerName stringOptional

Server/host name

maxLength200
Tags map[string, string]Optional

Tags for filtering and grouping

Timestamp TimeOptional

When the event occurred (required by Sentry)

formatdate-time
Transaction stringOptional

Transaction name (e.g., route name, function name)

maxLength200
type ErrorLevel string

Error severity levels (aligned with Sentry levels)

One of the following:
const ErrorLevelUnspecified ErrorLevel = "ERROR_LEVEL_UNSPECIFIED"
const ErrorLevelDebug ErrorLevel = "ERROR_LEVEL_DEBUG"
const ErrorLevelInfo ErrorLevel = "ERROR_LEVEL_INFO"
const ErrorLevelWarning ErrorLevel = "ERROR_LEVEL_WARNING"
const ErrorLevelError ErrorLevel = "ERROR_LEVEL_ERROR"
const ErrorLevelFatal ErrorLevel = "ERROR_LEVEL_FATAL"
type ExceptionInfo struct{…}

Exception information (Sentry-compatible)

Mechanism ExceptionMechanismOptional

Exception mechanism

Data map[string, string]Optional

Additional mechanism-specific data

Description stringOptional

Human-readable description of the mechanism

maxLength1000
Handled boolOptional

Whether the exception was handled by user code

Synthetic boolOptional

Whether this is a synthetic exception (created by SDK)

Type stringOptional

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
Module stringOptional

Module or package where the exception type is defined

maxLength200
Stacktrace []StackFrameOptional

Stack trace frames

Colno int64Optional

Column number in the line

formatint32
ContextLine stringOptional
maxLength1000
Filename stringOptional

File name or path

maxLength1000
Function stringOptional

Function name

maxLength1000
InApp boolOptional

Whether this frame is in application code (vs library/framework code)

Lineno int64Optional

Line number in the file

formatint32
Module stringOptional

Module or package name

maxLength1000
PostContext []stringOptional
PreContext []stringOptional

Source code context around the error line

Vars map[string, string]Optional

Additional frame-specific variables/locals

ThreadID stringOptional

Thread ID if applicable

maxLength100
Type stringOptional

Exception type/class name

maxLength200
minLength1
Value stringOptional

Exception message/value

maxLength10000
type ExceptionMechanism struct{…}

Exception mechanism information (Sentry-compatible)

Data map[string, string]Optional

Additional mechanism-specific data

Description stringOptional

Human-readable description of the mechanism

maxLength1000
Handled boolOptional

Whether the exception was handled by user code

Synthetic boolOptional

Whether this is a synthetic exception (created by SDK)

Type stringOptional

Type of mechanism (e.g., “generic”, “promise”, “onerror”)

maxLength100
minLength1
type RequestInfo struct{…}

Request information (Sentry-compatible)

Data stringOptional

Request body (truncated if large)

maxLength10000
Headers map[string, string]Optional

Request headers

Method stringOptional

HTTP method

maxLength10
QueryString map[string, string]Optional

Query parameters

URL stringOptional

Request URL

maxLength2000
type StackFrame struct{…}

Stack trace frame information (Sentry-compatible)

Colno int64Optional

Column number in the line

formatint32
ContextLine stringOptional
maxLength1000
Filename stringOptional

File name or path

maxLength1000
Function stringOptional

Function name

maxLength1000
InApp boolOptional

Whether this frame is in application code (vs library/framework code)

Lineno int64Optional

Line number in the file

formatint32
Module stringOptional

Module or package name

maxLength1000
PostContext []stringOptional
PreContext []stringOptional

Source code context around the error line

Vars map[string, string]Optional

Additional frame-specific variables/locals